package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.UserGroup;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.UserGroupSearchContext;

/**
 * 实体[UserGroup] 服务对象接口
 */

public interface IUserGroupService{
     boolean create(UserGroup userGroup) ;
     boolean save(UserGroup userGroup) ;
     boolean checkKey(UserGroup userGroup) ;
     UserGroup getDraft(UserGroup userGroup) ;
     UserGroup get(String userGroupId) ;
     UserGroup get(UserGroup userGroup) ;
     boolean update(UserGroup userGroup) ;
     boolean remove(String userGroupId) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<UserGroup> searchDefault(UserGroupSearchContext context) ;

    /**
     * 根据用户对象查询
     */
     Page<UserGroup> selectByUserGroup(String userobjectid) ;
     List<UserGroup> selectByUserGroup2(String userobjectid);

}
